import 'package:fluartx/src/annotations.dart';

class Collections {
  static bool isNullOrEmpty(@nullable Iterable iterable) =>
      iterable == null || iterable.isEmpty;
}

@beta
Iterable<int> lazySynchronousNaturalsTo(int n) sync* {
  int k = 0;
  while (k < n) {
    yield k++;
  }
}

@beta
Stream<int> lazyAsynchronousNaturalsTo(int n) async* {
  int k = 0;
  while (k < n) {
    yield k++;
  }
}
