import 'package:fluartx/fluartx.dart';

class Pair<A, B> {
  @nonNull
  final A first;
  @nonNull
  final B second;

  Pair(@nonNull this.first, @nonNull this.second)
      : assert(first != null),
        assert(second != null);

  @override
  String toString() {
    return "($first, $second)";
  }
}
