import 'package:fluartx/src/preconditions.dart';

typedef Transformer<F, T> = T Function(F input);

class Transformers {
  static Transformer<F, T> forMap<F, T>(Map<F, T> m) {
    return (key) {
      T result = m[key];
      checkNotNull(result);
      return result;
    };
  }
}
