import 'package:test/test.dart';
import 'package:fluartx/src/predicates.dart';

void main() {
  test("test predicates", () {
    List<int> list = <int>[1, 2, 3, 4, 5];
    print("eles equalTo 2: " + list.where(Predicates.equalTo(2)).join("\t"));
    print("eles instanceOf int: " + list.where(Predicates.instanceOf(int)).join("\t"));
    print(
        "eles containsIn [2, 3]: " + list.where(Predicates.containsIn([2, 3])).join("\t"));
    print("eles compose : " +
        list
            .where(Predicates.compose<int, String>(
                (t) => t.endsWith("0"), (f) => "$f->${f % 2}"))
            .join("\t"));
  });
}
